---
updatedAt: 2026-03-02T11:17:44.000Z
---

# Get Business Unit Metrics

Get business unit metrics by buID

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Client Metrics API",
    "version": "1.1.0"
  },
  "paths": {
    "/exchange/v1/metrics/businesses/{businessId}/business-units": {
      "post": {
        "tags": [
          "Business Unit Metrics"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "businessId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Model-2"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "body": {
                      "type": "object",
                      "properties": {
                        "businessUnitMetricsSummaries": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "businessUnitId": {
                                "type": "string",
                                "example": "4fc96a99-a0ca-475f-b150-e392a025466d"
                              },
                              "metrics": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "answerRate": {
                                      "type": "number",
                                      "example": 0.5
                                    },
                                    "declineRate": {
                                      "type": "number",
                                      "example": 0.25
                                    },
                                    "time": {
                                      "type": "string",
                                      "example": "2021-08-04 15:00:00"
                                    },
                                    "totalTreatedCalls": {
                                      "type": "integer",
                                      "example": 1000
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    "error": {
                      "type": "object",
                      "example": "null"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "body": {
                      "type": "object",
                      "example": "null"
                    },
                    "error": {
                      "type": "string",
                      "example": "rpc error: code = InvalidArgument desc = invalid request body"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "body": {
                      "type": "object",
                      "example": "null"
                    },
                    "error": {
                      "type": "string",
                      "example": "Error: Not Found"
                    }
                  }
                }
              }
            }
          }
        },
        "description": "Get business unit metrics by buID",
        "summary": "Get Business Unit Metrics"
      }
    }
  },
  "servers": [
    {
      "url": "https://api.firstorion.com"
    }
  ],
  "components": {
    "schemas": {
      "Model-2": {
        "type": "object",
        "properties": {
          "businessUnitIds": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "3d4dffff-f4bf-4c75-88d3-e7f3fb29aaba"
            ]
          },
          "outputType": {
            "type": "string",
            "example": "daily"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```